import { EventEmitter, OnInit } from '@angular/core';
import { SASjsConfig } from '@sasjs/adapter';
import { NavLink } from './models/nav-links.model';
import { UserDropdownItem } from './models/user-dropdown-items.model';
import * as i0 from "@angular/core";
export declare class SasjsHeaderComponent implements OnInit {
    logo: string;
    username: string;
    sasjsConfig: SASjsConfig;
    navLinks: NavLink[];
    userDropdownItems: UserDropdownItem[];
    debugChanged: EventEmitter<boolean>;
    constructor();
    ngOnInit(): void;
    onDebugChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SasjsHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SasjsHeaderComponent, "sasjs-header", never, { "logo": "logo"; "username": "username"; "sasjsConfig": "sasjsConfig"; "navLinks": "navLinks"; "userDropdownItems": "userDropdownItems"; }, { "debugChanged": "debugChanged"; }, never, never, false>;
}
